#include <stdio.h>

   enum stats
   {
   S,
   P,
   E,
   C,
   I,
   A,
   L,
   NUM_OF_STATS
   };

   enum skills
   {
   SMALL_GUNS,
   BIG_GUNS,
   ENERGY_WEAPONS,
   UNARMED,
   MELEE,
   THROWING,
   FIRST_AID,
   DOCTOR,
   DRIVING,
   SNEAK,
   LOCKPICK,
   STEAL,
   TRAPS,
   SCIENCE,
   REPAIR,
   SPEECH,
   BARTER,
   GAMBLING,
   OUTDOORSMAN,
   NUM_OF_SKILLS
   };

   int main()
   {
      char* skill_strings[]=
      {
      "Small Guns:    ",
      "Big Guns:      ",
      "Energy Weapons:",
      "Unarmed:       ",
      "Melee Weapons: ",
      "Throwing:      ",
      "First Aid:     ",
      "Doctor:        ",
      "Driving:       ",
      "Sneak:         ",
      "Lockpick:      ",
      "Steal:         ",
      "Traps:         ",
      "Science:       ",
      "Repair:        ",
      "Speech:        ",
      "Barter:        ",
      "Gambling:      ",
      "Outdoorsman:   "
      };
      char* stat_strings[] =
      {
      "Strength:      ",
      "Perception:    ",
      "Endurance:     ",
      "Charisma:      ",
      "Intelligence:  ",
      "Agility:       ",
      "Luck:          "
      };
      int stat[NUM_OF_STATS];
      int skill[NUM_OF_SKILLS];
      int i;
   
      printf("Welcome to the Fallout Skill Generator!\n");
      printf("Please enter the numbers corresponding to each stat and then hit enter.\n");
      for(i = 0; i < NUM_OF_STATS; i++)
      {
         printf("%s", stat_strings[i]);
         scanf("%i", &stat[i]);
      }
   
      printf("\n\nSkills (in order they appear on character sheet):\n");
      skill[SMALL_GUNS] = 35 + stat[A];
      skill[BIG_GUNS] = 10 + stat[A];
      skill[ENERGY_WEAPONS] = 10 + stat[A];
      skill[UNARMED] = 40 + ((stat[A] + stat[S]) / 2);
      skill[MELEE] = 25 + stat[S] + stat[A];
      skill[THROWING] = 10 + stat[S] + stat[P];
      skill[FIRST_AID] = 30 + ((stat[P] + stat[I]) / 2);
      skill[DOCTOR] = 15 + ((stat[P] + stat[I]) / 2);
      skill[DRIVING] = ((stat[P] + stat[A]) / 2) * 2;
      skill[SNEAK] = 25 + stat[A];
      skill[LOCKPICK] = 20 + stat[A];
      skill[STEAL] = 20 + stat[A];
      skill[TRAPS] = 10 + stat[P] + stat[A];
      skill[SCIENCE] = 4 * stat[I];
      skill[REPAIR] = 3 * stat[I];
      skill[SPEECH] = 25 + (2 * stat[C]);
      skill[BARTER] = 20 + (2 * stat[C]);
      skill[GAMBLING] = 5 * stat[L];
      skill[OUTDOORSMAN] = 2 * (stat[I] + stat[E]);
   
      for(i = 0; i < NUM_OF_SKILLS; i++)
      {
         printf("%s %d\n",skill_strings[i], skill[i]);
      }
   
      return 0;
   }